/*Estilos para la caja donde se encuentra el input */

[data-cognigy-webchat-root] [data-cognigy-webchat].webchat .webchat-header-bar {
  background: #333;
  width: 100% !important;
  box-shadow: none !important;
}

[data-cognigy-webchat-root]
  [data-cognigy-webchat].webchat
  .webchat-header-logo {
  background-image: url(data:image/png;base64,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);
  background-position: left;
  margin-left: 100px;
  width: 101px;
  height: 33px;
}

[data-cognigy-webchat-root] [data-cognigy-webchat-toggle].webchat-toggle-button,
[data-cognigy-webchat-root]
  [data-cognigy-webchat].webchat
  .webchat-header-close-button,
[data-cognigy-webchat-root]
  [data-cognigy-webchat].webchat
  .webchat-header-title {
  display: none;
}

[data-cognigy-webchat-root] [data-cognigy-webchat].webchat .webchat-avatar.bot {
  background-color: #fff;
  background-position: center;
  box-shadow: none !important;
  border: 0;
}

[data-cognigy-webchat-root]
  [data-cognigy-webchat].webchat
  .webchat-input-button-send:enabled
  > div {
  filter: invert(48%) sepia(26%) saturate(6862%) hue-rotate(146deg)
    brightness(95%) contrast(90%);
  cursor: pointer;
}

[data-cognigy-webchat-root]
  [data-cognigy-webchat].webchat
  .webchat-message-row:nth-child(2) {
  background-color: #dbf1f0;
  margin: 0 24px 8px;
  max-width: 100% !important;
}

[data-cognigy-webchat-root]
  [data-cognigy-webchat].webchat
  .webchat-message-row:nth-child(2)
  > .regular-message.bot {
  border: 0 solid !important;
  border-color: transparent;
  background: #dbf1f0;
  color: #0da398;
  box-shadow: none !important;
  padding: 0px;
  border-radius: initial !important;
  font-size: 14px;
  margin-left: 10px;
}

[data-cognigy-webchat-root]
  [data-cognigy-webchat].webchat
  .webchat-message-row:nth-child(2)
  > .webchat-avatar.bot {
  border-radius: initial !important;
  background-color: #dbf1f0;
  margin: 0px -24px 3.5%;
  width: 16px !important;
  height: 16px !important;
  flex: 0 0 16px !important;
}

[data-cognigy-webchat-root]
  [data-cognigy-webchat].webchat
  .webchat-message-row:nth-child(2)
  > :first-child {
  margin-right: 0 !important;
}

@media screen and (min-width: 0px) and (max-width: 390px) {
  [data-cognigy-webchat-root]
    [data-cognigy-webchat].webchat
    .webchat-message-row:nth-child(2)
    > .webchat-avatar.bot {
    margin: 0 -24px 105px -12px;
  }

  [data-cognigy-webchat-root]
    [data-cognigy-webchat].webchat
    .webchat-message-row:nth-child(2) {
    margin: 0 16px 8px !important;
  }
}

@media screen and (min-width: 391px) and (max-width: 461px) {
  [data-cognigy-webchat-root]
    [data-cognigy-webchat].webchat
    .webchat-message-row:nth-child(2)
    > .webchat-avatar.bot {
    margin: 0 -24px 66px -5px;
  }

  [data-cognigy-webchat-root]
    [data-cognigy-webchat].webchat
    .webchat-message-row:nth-child(2) {
    margin: 0 14px 8px !important;
  }
}

@media screen and (min-width: 462px) and (max-width: 576px) {
  [data-cognigy-webchat-root]
    [data-cognigy-webchat].webchat
    .webchat-message-row:nth-child(2)
    > .webchat-avatar.bot {
    margin: 0 -16px 66px -5px;
  }

  [data-cognigy-webchat-root]
    [data-cognigy-webchat].webchat
    .webchat-message-row:nth-child(2) {
    margin: 0 14px 8px !important;
  }
}

@media screen and (min-width: 577px) and (max-width: 768px) {
  [data-cognigy-webchat-root]
    [data-cognigy-webchat].webchat
    .webchat-message-row:nth-child(2)
    > .webchat-avatar.bot {
    margin: 0 -16px 48px -19px;
  }
}

@media screen and (min-width: 769px) and (max-width: 967px) {
  [data-cognigy-webchat-root]
    [data-cognigy-webchat].webchat
    .webchat-message-row:nth-child(2)
    > .webchat-avatar.bot {
    margin: 0 -16px 48px -19px;
  }
}

@media screen and (min-width: 968px) and (max-width: 3200px) {
  [data-cognigy-webchat-root]
    [data-cognigy-webchat].webchat
    .webchat-message-row:nth-child(2)
    > .webchat-avatar.bot {
    margin: 6px -16px 29px -19px;
  }
}

@media screen and (min-width: 0px) and (max-width: 576px) {
  [data-cognigy-webchat-root]
    [data-cognigy-webchat].webchat
    .webchat-chat-history,
  [data-cognigy-webchat-root] [data-cognigy-webchat].webchat .webchat-input {
    width: 100% !important;
    margin-left: auto;
    margin-right: auto;
    background-color: #f3f3f3 !important;
    border-radius: 0px !important;
  }

  [data-cognigy-webchat-root]
    [data-cognigy-webchat].webchat
    .webchat-header-logo {
    margin-left: auto !important;
    margin-right: auto;
  }

  [data-cognigy-webchat-root]
    [data-cognigy-webchat].webchat
    .webchat-message-row.user {
    max-width: 90% !important;
    padding-right: 10px !important;
  }

  [data-cognigy-webchat-root]
    [data-cognigy-webchat].webchat
    .webchat-message-row.bot {
    max-width: 90% !important;
    padding-left: 10px !important;
  }

  .ac-actionSet {
    display: block !important;
  }

  .ac-actionSet > button:first-child {
    padding: 12px 32px !important;
    overflow-wrap: break-word !important;
  }

  .ac-actionSet > button:last-child {
    margin-top: 16px !important;
    padding: 10px 34px !important;
    overflow-wrap: break-word !important;
  }
}

/*------------------ GENERAL WEBCHAT -------------------*/
[data-cognigy-webchat-root] [data-cognigy-webchat].webchat {
  width: 100%;
  height: 100%;
  top: 0px;
}

@media screen and (min-width: 576px) {
  [data-cognigy-webchat-root] [data-cognigy-webchat] {
    left: 0 !important;
  }
}

@media screen and (min-width: 577px) and (max-width: 768px) {
  [data-cognigy-webchat-root]
    [data-cognigy-webchat].webchat
    .webchat-chat-history,
  [data-cognigy-webchat-root] [data-cognigy-webchat].webchat .webchat-input {
    width: 100% !important;
    margin-left: auto;
    margin-right: auto;
    background-color: #f3f3f3 !important;
    border-radius: 0px !important;
  }

  [data-cognigy-webchat-root]
    [data-cognigy-webchat].webchat
    .webchat-header-logo {
    margin-left: auto;
    margin-right: auto;
  }

  [data-cognigy-webchat-root]
    [data-cognigy-webchat].webchat
    .regular-message.user {
    max-width: 635px;
  }

  [data-cognigy-webchat-root]
    [data-cognigy-webchat].webchat
    .webchat-message-row.bot {
    max-width: 635px;
  }
}

@media screen and (min-width: 769px) and (max-width: 967px) {
  [data-cognigy-webchat-root]
    [data-cognigy-webchat].webchat
    .webchat-chat-history,
  [data-cognigy-webchat-root] [data-cognigy-webchat].webchat .webchat-input {
    width: 768px !important;
    margin-left: auto;
    margin-right: auto;
    background-color: #f3f3f3 !important;
    border-radius: 0px !important;
  }

  [data-cognigy-webchat-root]
    [data-cognigy-webchat].webchat
    .webchat-header-logo {
    margin-left: 100px !important;
  }
}

@media screen and (min-width: 968px) and (max-width: 3200px) {
  [data-cognigy-webchat-root]
    [data-cognigy-webchat].webchat
    .webchat-chat-history,
  [data-cognigy-webchat-root] [data-cognigy-webchat].webchat .webchat-input {
    width: 933px !important;
    margin-left: auto;
    margin-right: auto;
    background-color: #f3f3f3 !important;
    border-radius: 0px !important;
  }
}
